Package com.google.android.exoplayer2.trackselection

## Class DefaultTrackSelector.ParametersBuilder

- java.lang.Object
- - com.google.android.exoplayer2.trackselection.TrackSelectionParameters.Builder
  - - com.google.android.exoplayer2.trackselection.DefaultTrackSelector.ParametersBuilder

- Enclosing class:
    DefaultTrackSelector

      @Deprecated
      public static final class DefaultTrackSelector.ParametersBuilder
      extends TrackSelectionParameters.Builder

  Deprecated.
  Use `DefaultTrackSelector.Parameters.Builder` instead.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ParametersBuilder()` | Deprecated. `Context` constraints will not be set using this constructor.
    `ParametersBuilder​(Context context)` | Deprecated. Creates a builder with default initial values.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DefaultTrackSelector.ParametersBuilder` | `addOverride​(TrackSelectionOverride override)` | Deprecated. Adds an override, replacing any override for the same `TrackGroup`.
    `DefaultTrackSelector.Parameters` | `build()` | Deprecated. Builds a `DefaultTrackSelector.Parameters` instance with the selected values.
    `DefaultTrackSelector.ParametersBuilder` | `clearOverride​(TrackGroup trackGroup)` | Deprecated. Removes the override for the provided media `TrackGroup`, if there is one.
    `DefaultTrackSelector.ParametersBuilder` | `clearOverrides()` | Deprecated. Removes all overrides.
    `DefaultTrackSelector.ParametersBuilder` | `clearOverridesOfType​(@com.google.android.exoplayer2.C.TrackType int trackType)` | Deprecated. Removes all overrides of the provided track type.
    `DefaultTrackSelector.ParametersBuilder` | `clearSelectionOverride​(int rendererIndex, TrackGroupArray groups)` | Deprecated. Use `TrackSelectionParameters.Builder.clearOverride(TrackGroup)`.
    `DefaultTrackSelector.ParametersBuilder` | `clearSelectionOverrides()` | Deprecated. Use `TrackSelectionParameters.Builder.clearOverrides()`.
    `DefaultTrackSelector.ParametersBuilder` | `clearSelectionOverrides​(int rendererIndex)` | Deprecated. Use `TrackSelectionParameters.Builder.clearOverridesOfType(int)`.
    `DefaultTrackSelector.ParametersBuilder` | `clearVideoSizeConstraints()` | Deprecated. Equivalent to `setMaxVideoSize(Integer.MAX_VALUE, Integer.MAX_VALUE)`.
    `DefaultTrackSelector.ParametersBuilder` | `clearViewportSizeConstraints()` | Deprecated. Equivalent to `setViewportSize(Integer.MAX_VALUE, Integer.MAX_VALUE, true)`.
    `protected DefaultTrackSelector.ParametersBuilder` | `set​(TrackSelectionParameters parameters)` | Deprecated. Overrides the value of the builder with the value of `TrackSelectionParameters`.
    `DefaultTrackSelector.ParametersBuilder` | `setAllowAudioMixedChannelCountAdaptiveness​(boolean allowAudioMixedChannelCountAdaptiveness)` | Deprecated. Sets whether to allow adaptive audio selections containing mixed channel counts.
    `DefaultTrackSelector.ParametersBuilder` | `setAllowAudioMixedDecoderSupportAdaptiveness​(boolean allowAudioMixedDecoderSupportAdaptiveness)` | Deprecated. Sets whether to allow adaptive audio selections with mixed levels of `RendererCapabilities.DecoderSupport` and `RendererCapabilities.HardwareAccelerationSupport`.
    `DefaultTrackSelector.ParametersBuilder` | `setAllowAudioMixedMimeTypeAdaptiveness​(boolean allowAudioMixedMimeTypeAdaptiveness)` | Deprecated. Sets whether to allow adaptive audio selections containing mixed MIME types.
    `DefaultTrackSelector.ParametersBuilder` | `setAllowAudioMixedSampleRateAdaptiveness​(boolean allowAudioMixedSampleRateAdaptiveness)` | Deprecated. Sets whether to allow adaptive audio selections containing mixed sample rates.
    `DefaultTrackSelector.ParametersBuilder` | `setAllowMultipleAdaptiveSelections​(boolean allowMultipleAdaptiveSelections)` | Deprecated. Sets whether multiple adaptive selections with more than one track are allowed.
    `DefaultTrackSelector.ParametersBuilder` | `setAllowVideoMixedDecoderSupportAdaptiveness​(boolean allowVideoMixedDecoderSupportAdaptiveness)` | Deprecated. Sets whether to allow adaptive video selections with mixed levels of `RendererCapabilities.DecoderSupport` and `RendererCapabilities.HardwareAccelerationSupport`.
    `DefaultTrackSelector.ParametersBuilder` | `setAllowVideoMixedMimeTypeAdaptiveness​(boolean allowVideoMixedMimeTypeAdaptiveness)` | Deprecated. Sets whether to allow adaptive video selections containing mixed MIME types.
    `DefaultTrackSelector.ParametersBuilder` | `setAllowVideoNonSeamlessAdaptiveness​(boolean allowVideoNonSeamlessAdaptiveness)` | Deprecated. Sets whether to allow adaptive video selections where adaptation may not be completely seamless.
    `DefaultTrackSelector.ParametersBuilder` | `setDisabledTextTrackSelectionFlags​(@com.google.android.exoplayer2.C.SelectionFlags int disabledTextTrackSelectionFlags)` | Deprecated. Use `setIgnoredTextSelectionFlags(@com.google.android.exoplayer2.C.SelectionFlags int)`.
    `DefaultTrackSelector.ParametersBuilder` | `setDisabledTrackTypes​(Set<@TrackType Integer> disabledTrackTypes)` | Deprecated. Use `setTrackTypeDisabled(int, boolean)`.
    `DefaultTrackSelector.ParametersBuilder` | `setExceedAudioConstraintsIfNecessary​(boolean exceedAudioConstraintsIfNecessary)` | Deprecated. Sets whether to exceed the `setMaxAudioChannelCount(int)` and `setMaxAudioBitrate(int)` constraints when no selection can be made otherwise.
    `DefaultTrackSelector.ParametersBuilder` | `setExceedRendererCapabilitiesIfNecessary​(boolean exceedRendererCapabilitiesIfNecessary)` | Deprecated. Sets whether to exceed renderer capabilities when no selection can be made otherwise.
    `DefaultTrackSelector.ParametersBuilder` | `setExceedVideoConstraintsIfNecessary​(boolean exceedVideoConstraintsIfNecessary)` | Deprecated. Sets whether to exceed the `setMaxVideoBitrate(int)`, `setMaxVideoSize(int, int)` and `setMaxVideoFrameRate(int)` constraints when no selection can be made otherwise.
    `DefaultTrackSelector.ParametersBuilder` | `setForceHighestSupportedBitrate​(boolean forceHighestSupportedBitrate)` | Deprecated. Sets whether to force selection of the highest bitrate audio and video tracks that comply with all other constraints.
    `DefaultTrackSelector.ParametersBuilder` | `setForceLowestBitrate​(boolean forceLowestBitrate)` | Deprecated. Sets whether to force selection of the single lowest bitrate audio and video tracks that comply with all other constraints.
    `DefaultTrackSelector.ParametersBuilder` | `setIgnoredTextSelectionFlags​(@com.google.android.exoplayer2.C.SelectionFlags int ignoredTextSelectionFlags)` | Deprecated. Sets a bitmask of selection flags that are ignored for text track selections.
    `DefaultTrackSelector.ParametersBuilder` | `setMaxAudioBitrate​(int maxAudioBitrate)` | Deprecated. Sets the maximum allowed audio bitrate.
    `DefaultTrackSelector.ParametersBuilder` | `setMaxAudioChannelCount​(int maxAudioChannelCount)` | Deprecated. Sets the maximum allowed audio channel count.
    `DefaultTrackSelector.ParametersBuilder` | `setMaxVideoBitrate​(int maxVideoBitrate)` | Deprecated. Sets the maximum allowed video bitrate.
    `DefaultTrackSelector.ParametersBuilder` | `setMaxVideoFrameRate​(int maxVideoFrameRate)` | Deprecated. Sets the maximum allowed video frame rate.
    `DefaultTrackSelector.ParametersBuilder` | `setMaxVideoSize​(int maxVideoWidth, int maxVideoHeight)` | Deprecated. Sets the maximum allowed video width and height.
    `DefaultTrackSelector.ParametersBuilder` | `setMaxVideoSizeSd()` | Deprecated. Equivalent to `setMaxVideoSize(1279, 719)`.
    `DefaultTrackSelector.ParametersBuilder` | `setMinVideoBitrate​(int minVideoBitrate)` | Deprecated. Sets the minimum allowed video bitrate.
    `DefaultTrackSelector.ParametersBuilder` | `setMinVideoFrameRate​(int minVideoFrameRate)` | Deprecated. Sets the minimum allowed video frame rate.
    `DefaultTrackSelector.ParametersBuilder` | `setMinVideoSize​(int minVideoWidth, int minVideoHeight)` | Deprecated. Sets the minimum allowed video width and height.
    `DefaultTrackSelector.ParametersBuilder` | `setOverrideForType​(TrackSelectionOverride override)` | Deprecated. Sets an override, replacing all existing overrides with the same track type.
    `DefaultTrackSelector.ParametersBuilder` | `setPreferredAudioLanguage​(String preferredAudioLanguage)` | Deprecated. Sets the preferred language for audio and forced text tracks.
    `DefaultTrackSelector.ParametersBuilder` | `setPreferredAudioLanguages​(String... preferredAudioLanguages)` | Deprecated. Sets the preferred languages for audio and forced text tracks.
    `DefaultTrackSelector.ParametersBuilder` | `setPreferredAudioMimeType​(String mimeType)` | Deprecated. Sets the preferred sample MIME type for audio tracks.
    `DefaultTrackSelector.ParametersBuilder` | `setPreferredAudioMimeTypes​(String... mimeTypes)` | Deprecated. Sets the preferred sample MIME types for audio tracks.
    `DefaultTrackSelector.ParametersBuilder` | `setPreferredAudioRoleFlags​(@com.google.android.exoplayer2.C.RoleFlags int preferredAudioRoleFlags)` | Deprecated. Sets the preferred `C.RoleFlags` for audio tracks.
    `DefaultTrackSelector.ParametersBuilder` | `setPreferredTextLanguage​(String preferredTextLanguage)` | Deprecated. Sets the preferred language for text tracks.
    `DefaultTrackSelector.ParametersBuilder` | `setPreferredTextLanguageAndRoleFlagsToCaptioningManagerSettings​(Context context)` | Deprecated. Sets the preferred language and role flags for text tracks based on the accessibility settings of `CaptioningManager`.
    `DefaultTrackSelector.ParametersBuilder` | `setPreferredTextLanguages​(String... preferredTextLanguages)` | Deprecated. Sets the preferred languages for text tracks.
    `DefaultTrackSelector.ParametersBuilder` | `setPreferredTextRoleFlags​(@com.google.android.exoplayer2.C.RoleFlags int preferredTextRoleFlags)` | Deprecated. Sets the preferred `C.RoleFlags` for text tracks.
    `DefaultTrackSelector.ParametersBuilder` | `setPreferredVideoMimeType​(String mimeType)` | Deprecated. Sets the preferred sample MIME type for video tracks.
    `DefaultTrackSelector.ParametersBuilder` | `setPreferredVideoMimeTypes​(String... mimeTypes)` | Deprecated. Sets the preferred sample MIME types for video tracks.
    `DefaultTrackSelector.ParametersBuilder` | `setPreferredVideoRoleFlags​(@com.google.android.exoplayer2.C.RoleFlags int preferredVideoRoleFlags)` | Deprecated. Sets the preferred `C.RoleFlags` for video tracks.
    `DefaultTrackSelector.ParametersBuilder` | `setRendererDisabled​(int rendererIndex, boolean disabled)` | Deprecated. Sets whether the renderer at the specified index is disabled.
    `DefaultTrackSelector.ParametersBuilder` | `setSelectionOverride​(int rendererIndex, TrackGroupArray groups, DefaultTrackSelector.SelectionOverride override)` | Deprecated. Use `TrackSelectionParameters.Builder.addOverride(TrackSelectionOverride)`.
    `DefaultTrackSelector.ParametersBuilder` | `setSelectUndeterminedTextLanguage​(boolean selectUndeterminedTextLanguage)` | Deprecated. Sets whether a text track with undetermined language should be selected if no track with `a preferred language` is available, or if the preferred language is unset.
    `DefaultTrackSelector.ParametersBuilder` | `setTrackTypeDisabled​(@com.google.android.exoplayer2.C.TrackType int trackType, boolean disabled)` | Deprecated. Sets whether a track type is disabled.
    `DefaultTrackSelector.ParametersBuilder` | `setTunnelingEnabled​(boolean tunnelingEnabled)` | Deprecated. Sets whether to enable tunneling if possible.
    `DefaultTrackSelector.ParametersBuilder` | `setViewportSize​(int viewportWidth, int viewportHeight, boolean viewportOrientationMayChange)` | Deprecated. Sets the viewport size to constrain adaptive video selections so that only tracks suitable for the viewport are selected.
    `DefaultTrackSelector.ParametersBuilder` | `setViewportSizeToPhysicalDisplaySize​(Context context, boolean viewportOrientationMayChange)` | Deprecated. Equivalent to calling `TrackSelectionParameters.Builder.setViewportSize(int, int, boolean)` with the viewport size obtained from `Util.getCurrentDisplayModeSize(Context)`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParametersBuilder

          @Deprecated
          public ParametersBuilder()

      Deprecated.
      `Context` constraints will not be set using this constructor. Use `ParametersBuilder(Context)` instead.

    - #### ParametersBuilder

          public ParametersBuilder​(Context context)

      Deprecated.
      Creates a builder with default initial values.
      Parameters:
        `context` - Any context.

  - ### Method Detail

    - #### set

          @CanIgnoreReturnValue
          protected DefaultTrackSelector.ParametersBuilder set​(TrackSelectionParameters parameters)

      Deprecated.
      Description copied from class: `TrackSelectionParameters.Builder`
      Overrides the value of the builder with the value of `TrackSelectionParameters`.
      Overrides:
        `set` in class `TrackSelectionParameters.Builder`

    - #### setMaxVideoSizeSd

          @CanIgnoreReturnValue
          public DefaultTrackSelector.ParametersBuilder setMaxVideoSizeSd()

      Deprecated.
      Description copied from class: `TrackSelectionParameters.Builder`
      Equivalent to `setMaxVideoSize(1279, 719)`.
      Overrides:
        `setMaxVideoSizeSd` in class `TrackSelectionParameters.Builder`
      Returns:
        This builder.

    - #### clearVideoSizeConstraints

          @CanIgnoreReturnValue
          public DefaultTrackSelector.ParametersBuilder clearVideoSizeConstraints()

      Deprecated.
      Description copied from class: `TrackSelectionParameters.Builder`
      Equivalent to `setMaxVideoSize(Integer.MAX_VALUE, Integer.MAX_VALUE)`.
      Overrides:
        `clearVideoSizeConstraints` in class `TrackSelectionParameters.Builder`
      Returns:
        This builder.

    - #### setMaxVideoSize

          @CanIgnoreReturnValue
          public DefaultTrackSelector.ParametersBuilder setMaxVideoSize​(int maxVideoWidth,
                                                                        int maxVideoHeight)

      Deprecated.
      Description copied from class: `TrackSelectionParameters.Builder`
      Sets the maximum allowed video width and height.
      Overrides:
        `setMaxVideoSize` in class `TrackSelectionParameters.Builder`
      Parameters:
        `maxVideoWidth` - Maximum allowed video width in pixels.
        `maxVideoHeight` - Maximum allowed video height in pixels.
      Returns:
        This builder.

    - #### setMaxVideoFrameRate

          @CanIgnoreReturnValue
          public DefaultTrackSelector.ParametersBuilder setMaxVideoFrameRate​(int maxVideoFrameRate)

      Deprecated.
      Description copied from class: `TrackSelectionParameters.Builder`
      Sets the maximum allowed video frame rate.
      Overrides:
        `setMaxVideoFrameRate` in class `TrackSelectionParameters.Builder`
      Parameters:
        `maxVideoFrameRate` - Maximum allowed video frame rate in hertz.
      Returns:
        This builder.

    - #### setMaxVideoBitrate

          @CanIgnoreReturnValue
          public DefaultTrackSelector.ParametersBuilder setMaxVideoBitrate​(int maxVideoBitrate)

      Deprecated.
      Description copied from class: `TrackSelectionParameters.Builder`
      Sets the maximum allowed video bitrate.
      Overrides:
        `setMaxVideoBitrate` in class `TrackSelectionParameters.Builder`
      Parameters:
        `maxVideoBitrate` - Maximum allowed video bitrate in bits per second.
      Returns:
        This builder.

    - #### setMinVideoSize

          @CanIgnoreReturnValue
          public DefaultTrackSelector.ParametersBuilder setMinVideoSize​(int minVideoWidth,
                                                                        int minVideoHeight)

      Deprecated.
      Description copied from class: `TrackSelectionParameters.Builder`
      Sets the minimum allowed video width and height.
      Overrides:
        `setMinVideoSize` in class `TrackSelectionParameters.Builder`
      Parameters:
        `minVideoWidth` - Minimum allowed video width in pixels.
        `minVideoHeight` - Minimum allowed video height in pixels.
      Returns:
        This builder.

    - #### setMinVideoFrameRate

          @CanIgnoreReturnValue
          public DefaultTrackSelector.ParametersBuilder setMinVideoFrameRate​(int minVideoFrameRate)

      Deprecated.
      Description copied from class: `TrackSelectionParameters.Builder`
      Sets the minimum allowed video frame rate.
      Overrides:
        `setMinVideoFrameRate` in class `TrackSelectionParameters.Builder`
      Parameters:
        `minVideoFrameRate` - Minimum allowed video frame rate in hertz.
      Returns:
        This builder.

    - #### setMinVideoBitrate

          @CanIgnoreReturnValue
          public DefaultTrackSelector.ParametersBuilder setMinVideoBitrate​(int minVideoBitrate)

      Deprecated.
      Description copied from class: `TrackSelectionParameters.Builder`
      Sets the minimum allowed video bitrate.
      Overrides:
        `setMinVideoBitrate` in class `TrackSelectionParameters.Builder`
      Parameters:
        `minVideoBitrate` - Minimum allowed video bitrate in bits per second.
      Returns:
        This builder.

    - #### setExceedVideoConstraintsIfNecessary

          @CanIgnoreReturnValue
          public DefaultTrackSelector.ParametersBuilder setExceedVideoConstraintsIfNecessary​(boolean exceedVideoConstraintsIfNecessary)

      Deprecated.
      Sets whether to exceed the `setMaxVideoBitrate(int)`, `setMaxVideoSize(int, int)` and `setMaxVideoFrameRate(int)` constraints when no selection can be made otherwise.
      Parameters:
        `exceedVideoConstraintsIfNecessary` - Whether to exceed video constraints when no selection can be made otherwise.
      Returns:
        This builder.

    - #### setAllowVideoMixedMimeTypeAdaptiveness

          @CanIgnoreReturnValue
          public DefaultTrackSelector.ParametersBuilder setAllowVideoMixedMimeTypeAdaptiveness​(boolean allowVideoMixedMimeTypeAdaptiveness)

      Deprecated.
      Sets whether to allow adaptive video selections containing mixed MIME types.

      Adaptations between different MIME types may not be completely seamless, in which case `setAllowVideoNonSeamlessAdaptiveness(boolean)` also needs to be `true` for mixed MIME type selections to be made.

      Parameters:
        `allowVideoMixedMimeTypeAdaptiveness` - Whether to allow adaptive video selections containing mixed MIME types.
      Returns:
        This builder.

    - #### setAllowVideoNonSeamlessAdaptiveness

          @CanIgnoreReturnValue
          public DefaultTrackSelector.ParametersBuilder setAllowVideoNonSeamlessAdaptiveness​(boolean allowVideoNonSeamlessAdaptiveness)

      Deprecated.
      Sets whether to allow adaptive video selections where adaptation may not be completely seamless.
      Parameters:
        `allowVideoNonSeamlessAdaptiveness` - Whether to allow adaptive video selections where adaptation may not be completely seamless.
      Returns:
        This builder.

    - #### setAllowVideoMixedDecoderSupportAdaptiveness

          @CanIgnoreReturnValue
          public DefaultTrackSelector.ParametersBuilder setAllowVideoMixedDecoderSupportAdaptiveness​(boolean allowVideoMixedDecoderSupportAdaptiveness)

      Deprecated.
      Sets whether to allow adaptive video selections with mixed levels of `RendererCapabilities.DecoderSupport` and `RendererCapabilities.HardwareAccelerationSupport`.
      Parameters:
        `allowVideoMixedDecoderSupportAdaptiveness` - Whether to allow adaptive video selections with mixed levels of decoder and hardware acceleration support.
      Returns:
        This builder.

    - #### setViewportSizeToPhysicalDisplaySize

          @CanIgnoreReturnValue
          public DefaultTrackSelector.ParametersBuilder setViewportSizeToPhysicalDisplaySize​(Context context,
                                                                                             boolean viewportOrientationMayChange)

      Deprecated.
      Description copied from class: `TrackSelectionParameters.Builder`
      Equivalent to calling `TrackSelectionParameters.Builder.setViewportSize(int, int, boolean)` with the viewport size obtained from `Util.getCurrentDisplayModeSize(Context)`.
      Overrides:
        `setViewportSizeToPhysicalDisplaySize` in class `TrackSelectionParameters.Builder`
      Parameters:
        `context` - Any context.
        `viewportOrientationMayChange` - Whether the viewport orientation may change during playback.
      Returns:
        This builder.

    - #### clearViewportSizeConstraints

          @CanIgnoreReturnValue
          public DefaultTrackSelector.ParametersBuilder clearViewportSizeConstraints()

      Deprecated.
      Description copied from class: `TrackSelectionParameters.Builder`
      Equivalent to `setViewportSize(Integer.MAX_VALUE, Integer.MAX_VALUE, true)`.
      Overrides:
        `clearViewportSizeConstraints` in class `TrackSelectionParameters.Builder`
      Returns:
        This builder.

    - #### setViewportSize

          @CanIgnoreReturnValue
          public DefaultTrackSelector.ParametersBuilder setViewportSize​(int viewportWidth,
                                                                        int viewportHeight,
                                                                        boolean viewportOrientationMayChange)

      Deprecated.
      Description copied from class: `TrackSelectionParameters.Builder`
      Sets the viewport size to constrain adaptive video selections so that only tracks suitable for the viewport are selected.
      Overrides:
        `setViewportSize` in class `TrackSelectionParameters.Builder`
      Parameters:
        `viewportWidth` - Viewport width in pixels.
        `viewportHeight` - Viewport height in pixels.
        `viewportOrientationMayChange` - Whether the viewport orientation may change during playback.
      Returns:
        This builder.

    - #### setPreferredVideoMimeType

          @CanIgnoreReturnValue
          public DefaultTrackSelector.ParametersBuilder setPreferredVideoMimeType​(@Nullable
                                                                                  String mimeType)

      Deprecated.
      Description copied from class: `TrackSelectionParameters.Builder`
      Sets the preferred sample MIME type for video tracks.
      Overrides:
        `setPreferredVideoMimeType` in class `TrackSelectionParameters.Builder`
      Parameters:
        `mimeType` - The preferred MIME type for video tracks, or `null` to clear a previously set preference.
      Returns:
        This builder.

    - #### setPreferredVideoMimeTypes

          @CanIgnoreReturnValue
          public DefaultTrackSelector.ParametersBuilder setPreferredVideoMimeTypes​(String... mimeTypes)

      Deprecated.
      Description copied from class: `TrackSelectionParameters.Builder`
      Sets the preferred sample MIME types for video tracks.
      Overrides:
        `setPreferredVideoMimeTypes` in class `TrackSelectionParameters.Builder`
      Parameters:
        `mimeTypes` - The preferred MIME types for video tracks in order of preference, or an empty list for no preference.
      Returns:
        This builder.

    - #### setPreferredVideoRoleFlags

          @CanIgnoreReturnValue
          public DefaultTrackSelector.ParametersBuilder setPreferredVideoRoleFlags​(@RoleFlags
                                                                                   @com.google.android.exoplayer2.C.RoleFlags int preferredVideoRoleFlags)

      Deprecated.
      Description copied from class: `TrackSelectionParameters.Builder`
      Sets the preferred `C.RoleFlags` for video tracks.
      Overrides:
        `setPreferredVideoRoleFlags` in class `TrackSelectionParameters.Builder`
      Parameters:
        `preferredVideoRoleFlags` - Preferred video role flags.
      Returns:
        This builder.

    - #### setPreferredAudioLanguage

          @CanIgnoreReturnValue
          public DefaultTrackSelector.ParametersBuilder setPreferredAudioLanguage​(@Nullable
                                                                                  String preferredAudioLanguage)

      Deprecated.
      Description copied from class: `TrackSelectionParameters.Builder`
      Sets the preferred language for audio and forced text tracks.
      Overrides:
        `setPreferredAudioLanguage` in class `TrackSelectionParameters.Builder`
      Parameters:
        `preferredAudioLanguage` - Preferred audio language as an IETF BCP 47 conformant tag, or `null` to select the default track, or the first track if there's no default.
      Returns:
        This builder.

    - #### setPreferredAudioLanguages

          @CanIgnoreReturnValue
          public DefaultTrackSelector.ParametersBuilder setPreferredAudioLanguages​(String... preferredAudioLanguages)

      Deprecated.
      Description copied from class: `TrackSelectionParameters.Builder`
      Sets the preferred languages for audio and forced text tracks.
      Overrides:
        `setPreferredAudioLanguages` in class `TrackSelectionParameters.Builder`
      Parameters:
        `preferredAudioLanguages` - Preferred audio languages as IETF BCP 47 conformant tags in order of preference, or an empty array to select the default track, or the first track if there's no default.
      Returns:
        This builder.

    - #### setPreferredAudioRoleFlags

          @CanIgnoreReturnValue
          public DefaultTrackSelector.ParametersBuilder setPreferredAudioRoleFlags​(@RoleFlags
                                                                                   @com.google.android.exoplayer2.C.RoleFlags int preferredAudioRoleFlags)

      Deprecated.
      Description copied from class: `TrackSelectionParameters.Builder`
      Sets the preferred `C.RoleFlags` for audio tracks.
      Overrides:
        `setPreferredAudioRoleFlags` in class `TrackSelectionParameters.Builder`
      Parameters:
        `preferredAudioRoleFlags` - Preferred audio role flags.
      Returns:
        This builder.

    - #### setMaxAudioChannelCount

          @CanIgnoreReturnValue
          public DefaultTrackSelector.ParametersBuilder setMaxAudioChannelCount​(int maxAudioChannelCount)

      Deprecated.
      Description copied from class: `TrackSelectionParameters.Builder`
      Sets the maximum allowed audio channel count.
      Overrides:
        `setMaxAudioChannelCount` in class `TrackSelectionParameters.Builder`
      Parameters:
        `maxAudioChannelCount` - Maximum allowed audio channel count.
      Returns:
        This builder.

    - #### setMaxAudioBitrate

          @CanIgnoreReturnValue
          public DefaultTrackSelector.ParametersBuilder setMaxAudioBitrate​(int maxAudioBitrate)

      Deprecated.
      Description copied from class: `TrackSelectionParameters.Builder`
      Sets the maximum allowed audio bitrate.
      Overrides:
        `setMaxAudioBitrate` in class `TrackSelectionParameters.Builder`
      Parameters:
        `maxAudioBitrate` - Maximum allowed audio bitrate in bits per second.
      Returns:
        This builder.

    - #### setExceedAudioConstraintsIfNecessary

          @CanIgnoreReturnValue
          public DefaultTrackSelector.ParametersBuilder setExceedAudioConstraintsIfNecessary​(boolean exceedAudioConstraintsIfNecessary)

      Deprecated.
      Sets whether to exceed the `setMaxAudioChannelCount(int)` and `setMaxAudioBitrate(int)` constraints when no selection can be made otherwise.
      Parameters:
        `exceedAudioConstraintsIfNecessary` - Whether to exceed audio constraints when no selection can be made otherwise.
      Returns:
        This builder.

    - #### setAllowAudioMixedMimeTypeAdaptiveness

          @CanIgnoreReturnValue
          public DefaultTrackSelector.ParametersBuilder setAllowAudioMixedMimeTypeAdaptiveness​(boolean allowAudioMixedMimeTypeAdaptiveness)

      Deprecated.
      Sets whether to allow adaptive audio selections containing mixed MIME types.

      Adaptations between different MIME types may not be completely seamless.

      Parameters:
        `allowAudioMixedMimeTypeAdaptiveness` - Whether to allow adaptive audio selections containing mixed MIME types.
      Returns:
        This builder.

    - #### setAllowAudioMixedSampleRateAdaptiveness

          @CanIgnoreReturnValue
          public DefaultTrackSelector.ParametersBuilder setAllowAudioMixedSampleRateAdaptiveness​(boolean allowAudioMixedSampleRateAdaptiveness)

      Deprecated.
      Sets whether to allow adaptive audio selections containing mixed sample rates.

      Adaptations between different sample rates may not be completely seamless.

      Parameters:
        `allowAudioMixedSampleRateAdaptiveness` - Whether to allow adaptive audio selections containing mixed sample rates.
      Returns:
        This builder.

    - #### setAllowAudioMixedChannelCountAdaptiveness

          @CanIgnoreReturnValue
          public DefaultTrackSelector.ParametersBuilder setAllowAudioMixedChannelCountAdaptiveness​(boolean allowAudioMixedChannelCountAdaptiveness)

      Deprecated.
      Sets whether to allow adaptive audio selections containing mixed channel counts.

      Adaptations between different channel counts may not be completely seamless.

      Parameters:
        `allowAudioMixedChannelCountAdaptiveness` - Whether to allow adaptive audio selections containing mixed channel counts.
      Returns:
        This builder.

    - #### setAllowAudioMixedDecoderSupportAdaptiveness

          @CanIgnoreReturnValue
          public DefaultTrackSelector.ParametersBuilder setAllowAudioMixedDecoderSupportAdaptiveness​(boolean allowAudioMixedDecoderSupportAdaptiveness)

      Deprecated.
      Sets whether to allow adaptive audio selections with mixed levels of `RendererCapabilities.DecoderSupport` and `RendererCapabilities.HardwareAccelerationSupport`.
      Parameters:
        `allowAudioMixedDecoderSupportAdaptiveness` - Whether to allow adaptive audio selections with mixed levels of decoder and hardware acceleration support.
      Returns:
        This builder.

    - #### setPreferredAudioMimeType

          @CanIgnoreReturnValue
          public DefaultTrackSelector.ParametersBuilder setPreferredAudioMimeType​(@Nullable
                                                                                  String mimeType)

      Deprecated.
      Description copied from class: `TrackSelectionParameters.Builder`
      Sets the preferred sample MIME type for audio tracks.
      Overrides:
        `setPreferredAudioMimeType` in class `TrackSelectionParameters.Builder`
      Parameters:
        `mimeType` - The preferred MIME type for audio tracks, or `null` to clear a previously set preference.
      Returns:
        This builder.

    - #### setPreferredAudioMimeTypes

          @CanIgnoreReturnValue
          public DefaultTrackSelector.ParametersBuilder setPreferredAudioMimeTypes​(String... mimeTypes)

      Deprecated.
      Description copied from class: `TrackSelectionParameters.Builder`
      Sets the preferred sample MIME types for audio tracks.
      Overrides:
        `setPreferredAudioMimeTypes` in class `TrackSelectionParameters.Builder`
      Parameters:
        `mimeTypes` - The preferred MIME types for audio tracks in order of preference, or an empty list for no preference.
      Returns:
        This builder.

    - #### setPreferredTextLanguageAndRoleFlagsToCaptioningManagerSettings

          @CanIgnoreReturnValue
          public DefaultTrackSelector.ParametersBuilder setPreferredTextLanguageAndRoleFlagsToCaptioningManagerSettings​(Context context)

      Deprecated.
      Description copied from class: `TrackSelectionParameters.Builder`
      Sets the preferred language and role flags for text tracks based on the accessibility settings of `CaptioningManager`.

      Does nothing for API levels < 19 or when the `CaptioningManager` is disabled.

      Overrides:
        `setPreferredTextLanguageAndRoleFlagsToCaptioningManagerSettings` in class `TrackSelectionParameters.Builder`
      Parameters:
        `context` - A `Context`.
      Returns:
        This builder.

    - #### setPreferredTextLanguage

          @CanIgnoreReturnValue
          public DefaultTrackSelector.ParametersBuilder setPreferredTextLanguage​(@Nullable
                                                                                 String preferredTextLanguage)

      Deprecated.
      Description copied from class: `TrackSelectionParameters.Builder`
      Sets the preferred language for text tracks.
      Overrides:
        `setPreferredTextLanguage` in class `TrackSelectionParameters.Builder`
      Parameters:
        `preferredTextLanguage` - Preferred text language as an IETF BCP 47 conformant tag, or `null` to select the default track if there is one, or no track otherwise.
      Returns:
        This builder.

    - #### setPreferredTextLanguages

          @CanIgnoreReturnValue
          public DefaultTrackSelector.ParametersBuilder setPreferredTextLanguages​(String... preferredTextLanguages)

      Deprecated.
      Description copied from class: `TrackSelectionParameters.Builder`
      Sets the preferred languages for text tracks.
      Overrides:
        `setPreferredTextLanguages` in class `TrackSelectionParameters.Builder`
      Parameters:
        `preferredTextLanguages` - Preferred text languages as IETF BCP 47 conformant tags in order of preference, or an empty array to select the default track if there is one, or no track otherwise.
      Returns:
        This builder.

    - #### setPreferredTextRoleFlags

          @CanIgnoreReturnValue
          public DefaultTrackSelector.ParametersBuilder setPreferredTextRoleFlags​(@RoleFlags
                                                                                  @com.google.android.exoplayer2.C.RoleFlags int preferredTextRoleFlags)

      Deprecated.
      Description copied from class: `TrackSelectionParameters.Builder`
      Sets the preferred `C.RoleFlags` for text tracks.
      Overrides:
        `setPreferredTextRoleFlags` in class `TrackSelectionParameters.Builder`
      Parameters:
        `preferredTextRoleFlags` - Preferred text role flags.
      Returns:
        This builder.

    - #### setIgnoredTextSelectionFlags

          @CanIgnoreReturnValue
          public DefaultTrackSelector.ParametersBuilder setIgnoredTextSelectionFlags​(@SelectionFlags
                                                                                     @com.google.android.exoplayer2.C.SelectionFlags int ignoredTextSelectionFlags)

      Deprecated.
      Description copied from class: `TrackSelectionParameters.Builder`
      Sets a bitmask of selection flags that are ignored for text track selections.
      Overrides:
        `setIgnoredTextSelectionFlags` in class `TrackSelectionParameters.Builder`
      Parameters:
        `ignoredTextSelectionFlags` - A bitmask of `C.SelectionFlags` that are ignored for text track selections.
      Returns:
        This builder.

    - #### setSelectUndeterminedTextLanguage

          @CanIgnoreReturnValue
          public DefaultTrackSelector.ParametersBuilder setSelectUndeterminedTextLanguage​(boolean selectUndeterminedTextLanguage)

      Deprecated.
      Description copied from class: `TrackSelectionParameters.Builder`
      Sets whether a text track with undetermined language should be selected if no track with `a preferred language` is available, or if the preferred language is unset.
      Overrides:
        `setSelectUndeterminedTextLanguage` in class `TrackSelectionParameters.Builder`
      Parameters:
        `selectUndeterminedTextLanguage` - Whether a text track with undetermined language should be selected if no preferred language track is available.
      Returns:
        This builder.

    - #### setDisabledTextTrackSelectionFlags

          @CanIgnoreReturnValue
          @Deprecated
          public DefaultTrackSelector.ParametersBuilder setDisabledTextTrackSelectionFlags​(@SelectionFlags
                                                                                           @com.google.android.exoplayer2.C.SelectionFlags int disabledTextTrackSelectionFlags)

      Deprecated.
      Use `setIgnoredTextSelectionFlags(@com.google.android.exoplayer2.C.SelectionFlags int)`.

    - #### setForceLowestBitrate

          @CanIgnoreReturnValue
          public DefaultTrackSelector.ParametersBuilder setForceLowestBitrate​(boolean forceLowestBitrate)

      Deprecated.
      Description copied from class: `TrackSelectionParameters.Builder`
      Sets whether to force selection of the single lowest bitrate audio and video tracks that comply with all other constraints.
      Overrides:
        `setForceLowestBitrate` in class `TrackSelectionParameters.Builder`
      Parameters:
        `forceLowestBitrate` - Whether to force selection of the single lowest bitrate audio and video tracks.
      Returns:
        This builder.

    - #### setForceHighestSupportedBitrate

          @CanIgnoreReturnValue
          public DefaultTrackSelector.ParametersBuilder setForceHighestSupportedBitrate​(boolean forceHighestSupportedBitrate)

      Deprecated.
      Description copied from class: `TrackSelectionParameters.Builder`
      Sets whether to force selection of the highest bitrate audio and video tracks that comply with all other constraints.
      Overrides:
        `setForceHighestSupportedBitrate` in class `TrackSelectionParameters.Builder`
      Parameters:
        `forceHighestSupportedBitrate` - Whether to force selection of the highest bitrate audio and video tracks.
      Returns:
        This builder.

    - #### addOverride

          @CanIgnoreReturnValue
          public DefaultTrackSelector.ParametersBuilder addOverride​(TrackSelectionOverride override)

      Deprecated.
      Description copied from class: `TrackSelectionParameters.Builder`
      Adds an override, replacing any override for the same `TrackGroup`.
      Overrides:
        `addOverride` in class `TrackSelectionParameters.Builder`

    - #### clearOverride

          @CanIgnoreReturnValue
          public DefaultTrackSelector.ParametersBuilder clearOverride​(TrackGroup trackGroup)

      Deprecated.
      Description copied from class: `TrackSelectionParameters.Builder`
      Removes the override for the provided media `TrackGroup`, if there is one.
      Overrides:
        `clearOverride` in class `TrackSelectionParameters.Builder`

    - #### setOverrideForType

          @CanIgnoreReturnValue
          public DefaultTrackSelector.ParametersBuilder setOverrideForType​(TrackSelectionOverride override)

      Deprecated.
      Description copied from class: `TrackSelectionParameters.Builder`
      Sets an override, replacing all existing overrides with the same track type.
      Overrides:
        `setOverrideForType` in class `TrackSelectionParameters.Builder`

    - #### clearOverridesOfType

          @CanIgnoreReturnValue
          public DefaultTrackSelector.ParametersBuilder clearOverridesOfType​(@com.google.android.exoplayer2.C.TrackType int trackType)

      Deprecated.
      Description copied from class: `TrackSelectionParameters.Builder`
      Removes all overrides of the provided track type.
      Overrides:
        `clearOverridesOfType` in class `TrackSelectionParameters.Builder`

    - #### clearOverrides

          @CanIgnoreReturnValue
          public DefaultTrackSelector.ParametersBuilder clearOverrides()

      Deprecated.
      Description copied from class: `TrackSelectionParameters.Builder`
      Removes all overrides.
      Overrides:
        `clearOverrides` in class `TrackSelectionParameters.Builder`

    - #### setDisabledTrackTypes

          @CanIgnoreReturnValue
          @Deprecated
          public DefaultTrackSelector.ParametersBuilder setDisabledTrackTypes​(Set<@TrackType Integer> disabledTrackTypes)

      Deprecated.
      Use `setTrackTypeDisabled(int, boolean)`.
      Description copied from class: `TrackSelectionParameters.Builder`
      Sets the disabled track types, preventing all tracks of those types from being selected for playback. Any previously disabled track types are cleared.
      Overrides:
        `setDisabledTrackTypes` in class `TrackSelectionParameters.Builder`
      Parameters:
        `disabledTrackTypes` - The track types to disable.
      Returns:
        This builder.

    - #### setTrackTypeDisabled

          @CanIgnoreReturnValue
          public DefaultTrackSelector.ParametersBuilder setTrackTypeDisabled​(@com.google.android.exoplayer2.C.TrackType int trackType,
                                                                             boolean disabled)

      Deprecated.
      Description copied from class: `TrackSelectionParameters.Builder`
      Sets whether a track type is disabled. If disabled, no tracks of the specified type will be selected for playback.
      Overrides:
        `setTrackTypeDisabled` in class `TrackSelectionParameters.Builder`
      Parameters:
        `trackType` - The track type.
        `disabled` - Whether the track type should be disabled.
      Returns:
        This builder.

    - #### setExceedRendererCapabilitiesIfNecessary

          @CanIgnoreReturnValue
          public DefaultTrackSelector.ParametersBuilder setExceedRendererCapabilitiesIfNecessary​(boolean exceedRendererCapabilitiesIfNecessary)

      Deprecated.
      Sets whether to exceed renderer capabilities when no selection can be made otherwise.

      This parameter applies when all of the tracks available for a renderer exceed the renderer's reported capabilities. If the parameter is `true` then the lowest quality track will still be selected. Playback may succeed if the renderer has under-reported its true capabilities. If `false` then no track will be selected.

      Parameters:
        `exceedRendererCapabilitiesIfNecessary` - Whether to exceed renderer capabilities when no selection can be made otherwise.
      Returns:
        This builder.

    - #### setTunnelingEnabled

          @CanIgnoreReturnValue
          public DefaultTrackSelector.ParametersBuilder setTunnelingEnabled​(boolean tunnelingEnabled)

      Deprecated.
      Sets whether to enable tunneling if possible. Tunneling will only be enabled if it's supported by the audio and video renderers for the selected tracks.

      Tunneling is known to have many device specific issues and limitations. Manual testing is strongly recommended to check that the media plays correctly when this option is enabled. See [#9661](https://github.com/google/ExoPlayer/issues/9661), [#9133](https://github.com/google/ExoPlayer/issues/9133), [#9317](https://github.com/google/ExoPlayer/issues/9317), [#9502](https://github.com/google/ExoPlayer/issues/9502).

      Parameters:
        `tunnelingEnabled` - Whether to enable tunneling if possible.
      Returns:
        This builder.

    - #### setAllowMultipleAdaptiveSelections

          @CanIgnoreReturnValue
          public DefaultTrackSelector.ParametersBuilder setAllowMultipleAdaptiveSelections​(boolean allowMultipleAdaptiveSelections)

      Deprecated.
      Sets whether multiple adaptive selections with more than one track are allowed.
      Parameters:
        `allowMultipleAdaptiveSelections` - Whether multiple adaptive selections are allowed.
      Returns:
        This builder.

    - #### setRendererDisabled

          @CanIgnoreReturnValue
          public DefaultTrackSelector.ParametersBuilder setRendererDisabled​(int rendererIndex,
                                                                            boolean disabled)

      Deprecated.
      Sets whether the renderer at the specified index is disabled. Disabling a renderer prevents the selector from selecting any tracks for it.
      Parameters:
        `rendererIndex` - The renderer index.
        `disabled` - Whether the renderer is disabled.
      Returns:
        This builder.

    - #### setSelectionOverride

          @CanIgnoreReturnValue
          @Deprecated
          public DefaultTrackSelector.ParametersBuilder setSelectionOverride​(int rendererIndex,
                                                                             TrackGroupArray groups,
                                                                             @Nullable
                                                                             DefaultTrackSelector.SelectionOverride override)

      Deprecated.
      Use `TrackSelectionParameters.Builder.addOverride(TrackSelectionOverride)`.
      Overrides the track selection for the renderer at the specified index.

      When the `TrackGroupArray` mapped to the renderer matches the one provided, the override is applied. When the `TrackGroupArray` does not match, the override has no effect. The override replaces any previous override for the specified `TrackGroupArray` for the specified `Renderer`.

      Passing a `null` override will cause the renderer to be disabled when the `TrackGroupArray` mapped to it matches the one provided. When the `TrackGroupArray` does not match a `null` override has no effect. Hence a `null` override differs from disabling the renderer using `setRendererDisabled(int, boolean)` because the renderer is disabled conditionally on the `TrackGroupArray` mapped to it, where-as `setRendererDisabled(int, boolean)` disables the renderer unconditionally.

      To remove overrides use `clearSelectionOverride(int, TrackGroupArray)`, `clearSelectionOverrides(int)` or `clearSelectionOverrides()`.

      Parameters:
        `rendererIndex` - The renderer index.
        `groups` - The `TrackGroupArray` for which the override should be applied.
        `override` - The override.
      Returns:
        This builder.

    - #### clearSelectionOverride

          @CanIgnoreReturnValue
          @Deprecated
          public DefaultTrackSelector.ParametersBuilder clearSelectionOverride​(int rendererIndex,
                                                                               TrackGroupArray groups)

      Deprecated.
      Use `TrackSelectionParameters.Builder.clearOverride(TrackGroup)`.
      Clears a track selection override for the specified renderer and `TrackGroupArray`.
      Parameters:
        `rendererIndex` - The renderer index.
        `groups` - The `TrackGroupArray` for which the override should be cleared.
      Returns:
        This builder.

    - #### clearSelectionOverrides

          @CanIgnoreReturnValue
          @Deprecated
          public DefaultTrackSelector.ParametersBuilder clearSelectionOverrides​(int rendererIndex)

      Deprecated.
      Use `TrackSelectionParameters.Builder.clearOverridesOfType(int)`.
      Clears all track selection overrides for the specified renderer.
      Parameters:
        `rendererIndex` - The renderer index.
      Returns:
        This builder.

    - #### clearSelectionOverrides

          @CanIgnoreReturnValue
          @Deprecated
          public DefaultTrackSelector.ParametersBuilder clearSelectionOverrides()

      Deprecated.
      Use `TrackSelectionParameters.Builder.clearOverrides()`.
      Clears all track selection overrides for all renderers.
      Returns:
        This builder.

    - #### build

          public DefaultTrackSelector.Parameters build()

      Deprecated.
      Builds a `DefaultTrackSelector.Parameters` instance with the selected values.
      Overrides:
        `build` in class `TrackSelectionParameters.Builder`